FJ Software Foren-Übersicht  
 Homepage   •  Suchen   •  FAQ   •  Mitgliederliste   •  Registrieren   •  Login
 MyPhoneExplorer und Linux/Wine Nächstes Thema anzeigen
Vorheriges Thema anzeigen
Neues Thema eröffnenNeue Antwort erstellen
Autor Nachricht
DarkSoul



Anmeldedatum: 06.12.2006
Beiträge: 80

BeitragVerfasst am: Di März 20, 2007 13:22 Antworten mit ZitatNach oben

@mabu: So aus dem Stehgreif weiß ich leider nicht ob das funktioniert wenn Du einen Symlink von COMx auf das USB-Device setzt. Ich habe das Kabel nie getestet, sondern bisher immer nur Bluetooth.
Ich werde das USB-Kabel jedoch mal testen um zu schauen ob ich die gleichen Probleme habe wie Du. Sobald ich was weiß melde ich mich - kann jedoch ein wenig dauern da ich zur Zeit ziemlich im Streß bin... Sad

@FJ: Ich werde mir das Projekt mal anschauen und Dir dann berichten wie weit ich gekommen bin bzw. was funktioniert oder was nicht... Heute werde ich nur leider noch nicht dazu kommen.

Grüße,
Carsten
Benutzer-Profile anzeigenPrivate Nachricht sendenICQ-Nummer
bala
Gast





BeitragVerfasst am: Di März 20, 2007 22:57 Antworten mit ZitatNach oben

mabu hat Folgendes geschrieben:
Die Fehlermeldung ist die selbe, wenn ich das Kabel abstecke bzw. Bluetooth deaktiviere. Benötige ich hier irgendwelche zusätzlichen Treiber/Einstellungen?


com1 -> /dev/ttyACM0

damit funzt es bei mir problemlos
le_petit



Anmeldedatum: 15.12.2006
Beiträge: 3

BeitragVerfasst am: Mi März 28, 2007 18:55 Antworten mit ZitatNach oben

Habe nun mein Sony Ericcson W880i bekommen. Allerdings geht nun der Explorer version 1.33 nicht mehr.

Ich vermute es liegt an der Wine Version. Folgender Fehler:

Run-time error 732

Failed to load control 'PhoneBook_Tel' from . Your version of may be outdated. Make sure you are using the version of the control was provided with your application.

Wineversion 0.9.33! Nutzt ihr die auch oder welche Version nehmt ihr von Wine im Moment?
Benutzer-Profile anzeigenPrivate Nachricht senden
ber
Gast





BeitragVerfasst am: So Apr 15, 2007 23:43 Antworten mit ZitatNach oben

@bala Vielen vielen Dank, damit war es dann wirklich kein Problem mehr!

(und hier nochmal der Befehl den ihr eingebt bevor ihr auf Verbinden drückt:)
Code:
ber@Dayna:~/$ cd ~/.wine/dosdrive/
ber@Dayna:~/.wine/dosdevices$ ln -s /dev/ttyACM0 com1
inneas



Anmeldedatum: 18.05.2007
Beiträge: 1

BeitragVerfasst am: Fr Mai 18, 2007 16:52 Antworten mit ZitatNach oben

Hallo!

Versuche MPE 1.5.9 mittels wine (0.9.9) unter Ubuntu Dapper zum laufen zu bekommen.

Scheitert im moment eben an der sport.dll.
Habs jetzt mal mit der sport.dll aus dem trial von eltima versucht.
MPE greift dabei wohl auf eine funktion zu die im trial nicht verfügbar ist und wird beendet.

Könnte die sport.dll noch mal wer online stellen?
(Unter den mpe dateien kann ich die leider nirgends finden, müsste doch eigentlich dabei sein, oder?)
Benutzer-Profile anzeigenPrivate Nachricht sendenICQ-Nummer
FJ
Site Admin


Anmeldedatum: 15.02.2006
Beiträge: 30672
Wohnort: Tirol

BeitragVerfasst am: Fr Mai 18, 2007 17:40 Antworten mit ZitatNach oben

Bitte lies dir den ganzen Thread durch, insbesondere diesen Post
Benutzer-Profile anzeigenPrivate Nachricht sendenE-Mail sendenICQ-Nummer
weinbi
Moderator


Anmeldedatum: 11.06.2007
Beiträge: 929
Wohnort: Kärnten

BeitragVerfasst am: Mo Jun 11, 2007 11:31 Antworten mit ZitatNach oben

Hallo!

Ich bin vor einiger Zeit von Win auf SuSE 10.2 umgestiegen. Natürlich möchte ich auch dein geniales Tool weiterhin nutzen.
Also Forum lesen, MPE 1.3.3 runterladen, mit wine installieren und nach Behebung der Fehler, welche allesamt schon in diesem Thread stehen, startet der MPE einwandfrei.

Nur bei der Verbindung mit dem Handy haperts bei mir. Krieg ich einfach nicht hin.
Also:
> Handy: SE K750
> wine 0.9.29-12.1
> VB6 Runtime
> MPE 1.3.3
> USB-Bluetooth Dongle

Hab in der Konsole eingetippt:
Code:
/etc/init.d/bluetooth start


hcitool liefert folgendens:
Code:
hcitool dev
Devices:
        hci0    00:10:60:A7:64:0B


Code:
rfcomm bind 0 00:10:60:A7:64:0B


Code:
.wine/dosdevices # ln -s -i /dev/rfcomm0 com1


Vielleicht kann mir hier irgendjemand helfen??
Was mache ich falsch?!

MfG
Benutzer-Profile anzeigenPrivate Nachricht sendenICQ-Nummer
FJ
Site Admin


Anmeldedatum: 15.02.2006
Beiträge: 30672
Wohnort: Tirol

BeitragVerfasst am: Sa Jul 07, 2007 10:59 Antworten mit ZitatNach oben

@DarkSoul: Ich habe jetzt endlich eine Version erstellt, die nicht auf die Datei SPort.dll zurückgreift sondern auf die MSComm32.ocx. Diese sollte mit Wine kompatibel sein.

http://www.fjsoft.at/files/MyPhoneExplorer_wine.zip
Benutzer-Profile anzeigenPrivate Nachricht sendenE-Mail sendenICQ-Nummer
taff



Anmeldedatum: 09.07.2007
Beiträge: 12

BeitragVerfasst am: Mo Jul 09, 2007 16:29 Antworten mit ZitatNach oben

hi FJ

da MPE sicher das beste Tool ist für Synchronisationen von SE-Mobiles, versuche ich, MPE auch unter LINUX nutzen zu können.

Hab's schon mal mit der 1.3 Version versucht, was leider nicht klappte. Jetzt will ich's mit deiner neuen wine-Version versuchen, was leider noch nicht klappt.

Ist die Datei <MyPhoneExlporer.exe> im ZIP Ordner eine Setup Datei? Ich frage, weil all deine bisherigen Setup-Dateien Namen wie <MyPhoneExplorer_setup_version.exe> trugen.

Ich werd's weiter versuchen...

TAFF
Benutzer-Profile anzeigenPrivate Nachricht senden
FJ
Site Admin


Anmeldedatum: 15.02.2006
Beiträge: 30672
Wohnort: Tirol

BeitragVerfasst am: Mo Jul 09, 2007 18:13 Antworten mit ZitatNach oben

Das Zip-Archiv enthält alle Dateien die zum Betrieb notwendig sind - ohne Setup. Du musst alle DLL's in Wine registrieren, dann sollte es klappen. Frag mich aber bitte nicht wie genau das geht - ich hab weder Wine noch Linux - ich habe also null Erfahrung auf diesem Gebiet. Der User DarkSoul wäre dein Mann - leider hat er aber aus unerfindlichen Gründen das Interesse daran verloren.
Benutzer-Profile anzeigenPrivate Nachricht sendenE-Mail sendenICQ-Nummer
taff



Anmeldedatum: 09.07.2007
Beiträge: 12

BeitragVerfasst am: Di Jul 10, 2007 12:07 Antworten mit ZitatNach oben

Hallo zusammen

die neue wine-Version startet tadellos auf! Einfach den unzipped Ordner in das <Pragram Files> Verzeichnis von wine kopieren und anschliessend alle DLL's von Hand registrieren:

Code:
wine regsvr32 dll.dll


Vielleicht nicht der eleganteste Weg, aber er funktioniert. Das Verbinden wird mir mit Hilfe der Forumseinträge sicher auch noch gelingen...

Viel Spass allen mit MPE und danke an FJ für das zur Verfügung stellen der wine-Version!
Benutzer-Profile anzeigenPrivate Nachricht senden
winer
Gast





BeitragVerfasst am: Do Jul 12, 2007 22:33 Antworten mit ZitatNach oben

taff hat Folgendes geschrieben:
Hallo zusammen

die neue wine-Version startet tadellos auf! Einfach den unzipped Ordner in das <Pragram Files> Verzeichnis von wine kopieren und anschliessend alle DLL's von Hand registrieren:

Code:
wine regsvr32 dll.dll




kannst du nochmal sagen welche distribution (inkl. version) und vor allem welche wine-version du benutzt? bei mir will das nämlich nich so Confused
weinbi
Moderator


Anmeldedatum: 11.06.2007
Beiträge: 929
Wohnort: Kärnten

BeitragVerfasst am: Fr Jul 13, 2007 08:15 Antworten mit ZitatNach oben

Bei mir funktioniert die Wine-Version interessanterweise auch nicht! Die "normale" Windows-Version hab ich wenigstens zum Laufen gebracht, die neue WINE bis jetzt noch nicht!
Hab da immer irgendeinen Fehler bekommen, oder viel mehr zwei:
(Sitz jetzt gerade bei der Arbeit an einem Win-Rechner, deshalb kann ich den Wortlaut der Meldungen nicht zu 100% wiedergeben)

Code:
Automatisierungsfehler 404
(Bei der Nummer bin ich mir nicht ganz sicher!)
Code:
Laufzeitfehler '0'


Beide Fehler kamen hintereinander mit einem Startversuch!
Hab mir das Log in der Konsole angeschaut, danach die "oleaut32.dll" von einer Windows-Installation kopiert, in den system32 - Ordner von Wine eingefügt. Schließlich noch in
Code:
winecfg
eine Überladung (oder wie das jetzt auf die schnelle heißt) für diese dll anlegen.

*TADAA*
Die Fehler sind weg!
Was aber nicht heißt, dass MPE jetzt läuft!!
Der Splash-Screen kommt noch, danach ist gar keine Oberfläche mehr zu sehen! Auch in den Prozessen ist er nicht zu finden!
Hab aber auf die schnelle keinen Fehler in der Konsole finden können...


@winer:
Du hast den ganzen Thread sicher genau gelesen und vor allem die VB 6 Steuerelemente in WINE installiert! Oder? Wink

Ich nutze übrigens SLED 10.2 mit (glaub ich auswendig zu wissen Wink ) 2.6.16 Kernel.
Bei der Wine-Version hab ich jetzt auswendig überhaupt keine Ahnung! Sorry!

Ansonsten, welchen Fehler bekommst du?
Welche Versionen nützt du?
Ein bisschen mehr Infos werden schon benötigt wenn dir geholfen werden soll!


MfG Weinbi
Benutzer-Profile anzeigenPrivate Nachricht sendenICQ-Nummer
winer
Gast





BeitragVerfasst am: Fr Jul 13, 2007 13:00 Antworten mit ZitatNach oben

haha, erwischt Wink hab die VB 6 Steuerelemente installiert. Das hat aber nix gebracht.

erst nachdem ich folgendes gemacht habe:

le_petit hat Folgendes geschrieben:

2.
Habe ich mir die stdole2.tlb runtergeladen (gabs in meinem XP nicht) und mittels
Code:
wine regsvr32 oleaut32.dl
im System32 ausfgeführt, eingebunden. (ohne das einbinden funktioniert es definitiv nicht!)


hat die brandneue WINE-Version von MPE erfolgreich gestartet Very Happy

jetzt muss ich mich nur noch an die Verbindung über Datenkabel ranmachen...

ach ja, meine Distribution: Ubuntu 6.10 (Edgy Eft), Wine: 9.22
weinbi
Moderator


Anmeldedatum: 11.06.2007
Beiträge: 929
Wohnort: Kärnten

BeitragVerfasst am: Fr Jul 13, 2007 13:25 Antworten mit ZitatNach oben

Hmm... muss wirklich mal schaun welche wine-version ich hab...
Vielleicht liegts daran!

Oder aber Ubuntu kommt damit besser zu recht! DarkSoul, der erste (hier im Forum soweit ich weiß), bei dem MPE auf Linux lief, hatte auch Ubuntu...

Sag bescheid wenn die Verbindung auch klappt!


MfG
Weinbi
Benutzer-Profile anzeigenPrivate Nachricht sendenICQ-Nummer
Beiträge der letzten Zeit anzeigen:      
Neues Thema eröffnenNeue Antwort erstellen


 Gehe zu:   



Nächstes Thema anzeigen
Vorheriges Thema anzeigen
Du kannst keine Beiträge in dieses Forum schreiben.
Du kannst auf Beiträge in diesem Forum nicht antworten.
Du kannst deine Beiträge in diesem Forum nicht bearbeiten.
Du kannst deine Beiträge in diesem Forum nicht löschen.
Du kannst an Umfragen in diesem Forum nicht mitmachen.

Powered by phpBB © 2001, 2002 phpBB Group :: FI Theme :: Alle Zeiten sind GMT + 1 Stunde
Deutsche Übersetzung von phpBB.de